import { EventEmitter, OnDestroy, OnInit } from "@angular/core";
import { StorageServiceService } from "./storage.service";
import * as i0 from "@angular/core";
export declare class EndUserService implements OnInit, OnDestroy {
    private readonly storageService;
    constructor(storageService: StorageServiceService);
    paymentStatusEvent: EventEmitter<boolean>;
    private eventRef;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EndUserService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EndUserService>;
}
